#!/usr/bin/env python3
#demo2 using Apa102bang class driver
#changing the brightness

import time
from apa102bang import Apa102bang

length = 8 ; brightness = 4
dataPin = 23 ; clockPin = 24 # Blinkt wiring
leds = Apa102bang(length,dataPin,clockPin,brightness)
fill = (120,0,0)
firstH = (0,120,0)
secondH = (0,0,120)
clear = (0,0,0)

def main():
   global brightness
   print("APA102 demo - Cnt C to stop")
   while True:
       for i in range(0,8):
          leds.setLed(i,fill) # red
       leds.show()   
       time.sleep(0.6)   
       for i in range(0,4):
          leds.setLed(i,firstH) # green
       leds.show()   
       time.sleep(0.6)   
       for i in range(4,8):
          leds.setLed(i,secondH) # blue
       leds.show()   
       time.sleep(0.6)   
       leds.setAll(clear) # black
       leds.show()   
       time.sleep(0.6)
       brightness +=1
       if brightness == 32:
          brightness = 1
       leds.setBrightness(brightness)
       
# Main program logic:
if __name__ == '__main__':    
    main()
